# Function convertDeepInsertToMinilinksApplyAndPatchVirtualIds

- convertDeepInsertToMinilinksApplyAndPatchVirtualIds(deep, objects, table, result?, errors, patch?): {
  levelIds: any[];
  objects: any;
  }

- #### Parameters

  - deep: any
  - objects: any
  - table: any
  - result: {
    from_id?: number;
    id?: number;
    to_id?: number;
    type_id?: number;
    value?: any;
    }[] = []
  - errors: string[]
  - patch: any = {}

  #### Returns {
  levelIds: any[];
  objects: any;
  }

  - ##### levelIds: any[]

  - ##### objects: any

  - Defined in work/deeplinks/deeplinks/imports/client.tsx:652